# {{ ansible_managed }}

{% set dhcphelper__tpl_options = [] %}
{% if dhcphelper__server_upstream|d() and not dhcphelper__server_upstream|empty %}
{%  set _ = dhcphelper__tpl_options.append("-s dhcphelper__server_upstream) %}
{% endif %}
{% if dhcphelper__interface_upstream|d() and not dhcphelper__interface_upstream|empty %}
{%  set _ = dhcphelper__tpl_options.append("-b dhcphelper__interface_upstream) %}
{% endif %}
{% if dhcphelper__interface_include|d() and not dhcphelper__interface_include|empty %}
{%  set _ = dhcphelper__tpl_options.append("-i dhcphelper__interface_include) %}
{% endif %}
{% if dhcphelper__interface_exclude|d() and not dhcphelper__interface_exclude|empty %}
{%  set _ = dhcphelper__tpl_options.append("-e dhcphelper__interface_exclude) %}
{% endif %}

# Option flags used to start dhcp-helper.
#
# You will need at least "-s <DHCP server>" or
# "-b <interface> so that dhcp-helper knows where 
# to relay DHCP requests. 
#
# See "man 8 dhcp-helper" for more details.  

DHCPHELPER_OPTS="{% for item in dhcphelper__tpl_options %}{{ item }}{% endfor %}"
